Bug 245504 - iptstate returns no connection state output
iptstate returns no connection state output
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: iptstate (Show other bugs)
7
i386 Linux
low Severity medium
: ---
: ---
Assigned To: Thomas Woerner
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-06-24 11:50 EDT by John T. Rose
Modified: 2007-11-30 17:12 EST (History)
0 users

See Also:
Fixed In Version: 2.2.1-1.fc7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-09-18 18:32:05 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description John T. Rose 2007-06-24 11:50:55 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux x86_64; en-US; rv:1.8.1.4) Gecko/20070603 Fedora/2.0.0.4-2.fc7 Firefox/2.0.0.4

Description of problem:
iptstate appears to be trying to read the wrong file to get connection state information. It reads /proc/net/ip_conntrack, I'm guessing it should be reading /proc/net/nf_conntrack now?!

Version-Release number of selected component (if applicable):
iptstate-1.4-1.1.2.2

How reproducible:
Always


Steps to Reproduce:
1. run iptstate with iptables enabled
2.
3.

Actual Results:
no connection state information is displayed

Expected Results:
connection state information should be displayed

Additional info:
Comment 1 Thomas Woerner 2007-08-24 08:18:27 EDT
Please have a look at iptstate-2.2.1-1.fc7 in testing.
Comment 2 Fedora Update System 2007-08-27 17:40:48 EDT
iptstate-2.2.1-1.fc7 has been pushed to the Fedora 7 testing repository.  If problems still persist, please make note of it in this bug report.
Comment 3 John T. Rose 2007-08-27 18:06:33 EDT
I've been running 2.2.1-1.fc7 intermittently for the past few days and haven't
noticed any problems. Thanks for getting updating this.
Comment 4 Christian Weiss 2007-09-02 06:43:59 EDT
No problems here, too. Thanks for updating to 2.2.1.
Comment 5 Fedora Update System 2007-09-18 18:32:03 EDT
iptstate-2.2.1-1.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.